#ifndef _IGPIO_HPP_
#define IGPIO_HPP_

#include <memory>

class GPIO
{
	public:
		GPIO();
		~GPIO();
		
		bool read();
		void write(const bool& logic_state);
		void toggle();
		
	private:
		class GPIO_impl;
		std::unique_ptr<GPIO_impl> impl;
};

#endif // _IGPIO_HPP_
